Bug 149749 - No keyboard support in Display configuration screen
No keyboard support in Display configuration screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 16:57 EST by Kyle Godett
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 14:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Godett 2005-02-25 16:57:23 EST
Description of problem:

I recently downloaded the Fedora Core 3, and installed it on an older 
computer which uses a serial mouse. (I realize that anaconda has 
issues with serial mice).

Because anaconda didn't recognize my serial mouse, I was forced to go 
through the install using the keyboard. (No big deal.) I was able to 
succesfully install linux, and the computer rebooted. It then went to 
a welcome screen, then a license agreement, then set up date and 
time. All the while, the mouse still didn't work so I used the 
keyboard to move on, or make changes when necessary.

After setting the date and time, it opened a screen to configure the 
display. (set the resolution, color depth, etc...) On this screen 
there was no dashed box to indicate which button is currently 
selected, and using the keystroke Alt+n does not work to hit the next 
button. Nor does Alt+R work to select the reslution box, nor Alt+C to 
select the color depth box. The only button that seems to do anything 
is the print screen button which will open a dialog asking if I want 
to save a screen shot.

As a result of this, I am unable to finish setting up the computer, 
and unable to use linux, because I cannont move on by clicking the 
button with the mouse, and I cannot select the button with the 
keyboard.

How reproducible: Every Time.


Steps to Reproduce:
1. Install Linux. Reboot.
2. After reboot, a series of screen is opened to configure computer
3. Go through welcome screen, licese agreement, and date and time 
setup
4. Try to use keyboard to move past Display configuration screen
  
Actual results:
Using the keyboard seems to do nothing.

Expected results:
I should be able to press Alt+N in order to select the Next button, 
and move to the next screen.

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:22:16 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Adam Jackson 2007-04-03 14:11:16 EDT
This ought to be working in FC7 through the magic of /dev/input/mice.  Please
reopen if not.

Note You need to log in before you can comment on or make changes to this bug.